  data:extend({
  
  
  
  
  
  {
    type = "flame-thrower-explosion",
    name = "fire-mine-explosion",
    flags = {"not-on-map"},
    animation_speed = 1,
    animations =
    {
      {
        filename = "__Fire_Mine__/graphics/fiery-explosion.png",
        priority = "extra-high",
        width = 64,
        height = 64,
        frame_count = 64,
        line_length = 8
      }
    },
    light = {intensity = 0.2, size = 20},
    slow_down_factor = 1,
    smoke = "smoke-fast",
    smoke_count = 1,
    smoke_slow_down_factor = 0.95,
    damage = {amount = 0.50, type = "fire"}
  },
  
  
  
  
  
  {
    type = "land-mine",
    name = "fire-mine",
    icon = "__Fire_Mine__/graphics/fire-mine.png",
    flags =
    {
      "placeable-player",
      "placeable-enemy",
      "player-creation",
      "placeable-off-grid"
    },
    minable = {mining_time = 1, result = "fire-mine"},
    max_health = 15,
    corpse = "small-remnants",
    collision_box = {{-0.4,-0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    dying_explosion = "explosion-hit",
    picture_safe =
    {
      filename = "__Fire_Mine__/graphics/fire-mine.png",
      priority = "medium",
      width = 32,
      height = 32
    },
    picture_set =
    {
      filename = "__Fire_Mine__/graphics/fire-mine-set.png",
      priority = "medium",
      width = 32,
      height = 32
    },
    trigger_radius = 2.5,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        source_effects =
        {
          {
            type = "nested-result",
            affects_target = true,
            action =
            {
              type = "area",
              perimeter = 6,
              collision_mask = { "player-layer" },
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  type = "damage",
                  damage = { amount = 40, type = "fire"}
                }
              }
            },
          },
          {
            type = "create-entity",
            entity_name = "explosion"
          },
          {
            type = "damage",
            damage = { amount = 800, type = "explosion"}
          },
		  {
            type = "create-entity",
            entity_name = "fire-mine-explosion"
          },
          {
            type = "damage",
            damage = { amount = 300, type = "fire"}
          }
        }
      }
    }
	}
 })